### Function

# GLib PtrArray set_size

#### Declaration [src]

    void
    g_ptr_array_set_size (
      GPtrArray* array,
      gint length
    )

#### Description [src]

Sets the size of the array. When making the array larger, newly-added elements will be set to `NULL`. When making it smaller, if `array` has a non-`NULL` `GDestroyNotify` function then it will be called for the removed elements.

This function is not directly available to language bindings.

#### Parameters

`array`

  Type: An array of `gpointer`

  A pointer array.

  The data is owned by the caller of the function.

`length`

  Type: `gint`

  The new length of the pointer array.